CREATE USER 'pjaiswal'@'%' IDENTIFIED BY '10PJ1980au#';

create database SHOPPING_DB;
grant all on SHOPPING_DB.* to 'pjaiswal'@'%';

CREATE TABLE payment_processing
(
   PAYMENT_PROCESSING_KEY int PRIMARY KEY AUTO_INCREMENT NOT NULL,
   PRODUCT_CODE varchar(4) NOT NULL,
   USER_NAME text NOT NULL,
   PAID_AMOUNT double NOT NULL,
   PAID_DATE date NOT NULL,
   QUANTITY int NOT NULL,
   PAYMENT_STATUS text NOT NULL,
   VERSION int NOT NULL,
   WHEN_MODIFIED date NOT NULL
)
;

CREATE TABLE payment_validation
(
   PAYMENT_VALIDATION_KEY int PRIMARY KEY AUTO_INCREMENT NOT NULL,
   PRODUCT_CODE varchar(4) NOT NULL,
   PRODUCT_AMOUNT double NOT NULL,
   USER_NAME text NOT NULL,
   STATUS text NOT NULL,
   VERSION int NOT NULL,
   WHEN_MODIFIED date NOT NULL
)
;

CREATE TABLE product_catelog
(
   PRODUCT_CATELOG_KEY int PRIMARY KEY AUTO_INCREMENT NOT NULL,
   PRODUCT_CODE varchar(4) NOT NULL,
   PRODUCT_NAME text NOT NULL,
   PRODUCT_CATEGORY text NOT NULL,
   QUANTITY int NOT NULL,
   RESERV_QUANTITY int DEFAULT 0,
   VERSION int NOT NULL,
   WHEN_MODIFIED date NOT NULL
)
;

CREATE TABLE product_pricing
(
   PRODUCT_PRICING_KEY int PRIMARY KEY AUTO_INCREMENT NOT NULL,
   PRODUCT_CODE varchar(4) NOT NULL,
   PRICE double NOT NULL,
   VERSION int NOT NULL,
   WHEN_MODIFIED date NOT NULL
)
;

CREATE TABLE shopping_cart
(
   SHOPPING_CART_KEY int PRIMARY KEY AUTO_INCREMENT NOT NULL,
   USER_NAME text NOT NULL,
   PRODUCT_CODE varchar(4) NOT NULL,
   PRODUCT_NAME text NOT NULL,
   PRODUCT_QUANTITY int NOT NULL,
   PRODUCT_AMOUNT double NOT NULL,
   STATUS text NOT NULL,
   VERSION int NOT NULL,
   WHEN_MODIFIED date NOT NULL
)
;


delete from product_catelog;

delete from product_pricing;

delete from payment_processing;

delete from payment_validation;

delete from shopping_cart;

INSERT INTO product_catelog (PRODUCT_CATELOG_KEY,PRODUCT_CODE,PRODUCT_NAME,PRODUCT_CATEGORY,QUANTITY,VERSION,WHEN_MODIFIED) VALUES (1001,'SHRP','Sharp Washing Machine','WASHING MACHINE',5,0,{d '2019-06-15'});
INSERT INTO product_catelog (PRODUCT_CATELOG_KEY,PRODUCT_CODE,PRODUCT_NAME,PRODUCT_CATEGORY,QUANTITY,VERSION,WHEN_MODIFIED) VALUES (1002,'GALX','Smsumg Galaxy','MOBILE',10,0,{d '2019-06-15'});
INSERT INTO product_catelog (PRODUCT_CATELOG_KEY,PRODUCT_CODE,PRODUCT_NAME,PRODUCT_CATEGORY,QUANTITY,VERSION,WHEN_MODIFIED) VALUES (1003,'APPL','Apple IPhone','MOBILE',15,0,{d '2019-06-15'});
INSERT INTO product_catelog (PRODUCT_CATELOG_KEY,PRODUCT_CODE,PRODUCT_NAME,PRODUCT_CATEGORY,QUANTITY,VERSION,WHEN_MODIFIED) VALUES (1004,'REDM','REDMI NOTE 4','MOBILE',20,0,{d '2019-06-15'});
INSERT INTO product_catelog (PRODUCT_CATELOG_KEY,PRODUCT_CODE,PRODUCT_NAME,PRODUCT_CATEGORY,QUANTITY,VERSION,WHEN_MODIFIED) VALUES (1005,'VUTV','YV SMART TV','TV',25,0,{d '2019-06-15'});
INSERT INTO product_catelog (PRODUCT_CATELOG_KEY,PRODUCT_CODE,PRODUCT_NAME,PRODUCT_CATEGORY,QUANTITY,VERSION,WHEN_MODIFIED) VALUES (1006,'SONY','Sony Bravia','TV',30,0,{d '2019-06-15'});
INSERT INTO product_catelog (PRODUCT_CATELOG_KEY,PRODUCT_CODE,PRODUCT_NAME,PRODUCT_CATEGORY,QUANTITY,VERSION,WHEN_MODIFIED) VALUES (1007,'LGRF','LG Refregerator','REFREGERATOR',35,0,{d '2019-06-15'});
INSERT INTO product_catelog (PRODUCT_CATELOG_KEY,PRODUCT_CODE,PRODUCT_NAME,PRODUCT_CATEGORY,QUANTITY,VERSION,WHEN_MODIFIED) VALUES (1008,'GDRF','Godrej Refregerator','REFREGERATOR',40,0,{d '2019-06-15'});
INSERT INTO product_catelog (PRODUCT_CATELOG_KEY,PRODUCT_CODE,PRODUCT_NAME,PRODUCT_CATEGORY,QUANTITY,VERSION,WHEN_MODIFIED) VALUES (1009,'HFJA','Head First Java','BOOKS',45,0,{d '2019-06-15'});
INSERT INTO product_catelog (PRODUCT_CATELOG_KEY,PRODUCT_CODE,PRODUCT_NAME,PRODUCT_CATEGORY,QUANTITY,VERSION,WHEN_MODIFIED) VALUES (1010,'MSIA','Microservices in Action','BOOKS',50,0,{d '2019-06-15'});


INSERT INTO product_pricing (PRODUCT_PRICING_KEY,PRODUCT_CODE,PRICE,VERSION,WHEN_MODIFIED) VALUES (1001,'SHRP',9111.0,0,{d '2019-06-15'});
INSERT INTO product_pricing (PRODUCT_PRICING_KEY,PRODUCT_CODE,PRICE,VERSION,WHEN_MODIFIED) VALUES (1002,'GALX',2222.0,0,{d '2019-06-15'});
INSERT INTO product_pricing (PRODUCT_PRICING_KEY,PRODUCT_CODE,PRICE,VERSION,WHEN_MODIFIED) VALUES (1003,'APPL',3333.0,0,{d '2019-06-15'});
INSERT INTO product_pricing (PRODUCT_PRICING_KEY,PRODUCT_CODE,PRICE,VERSION,WHEN_MODIFIED) VALUES (1004,'REDM',44444.0,0,{d '2019-06-15'});
INSERT INTO product_pricing (PRODUCT_PRICING_KEY,PRODUCT_CODE,PRICE,VERSION,WHEN_MODIFIED) VALUES (1005,'VUTV',5555.0,0,{d '2019-06-15'});
INSERT INTO product_pricing (PRODUCT_PRICING_KEY,PRODUCT_CODE,PRICE,VERSION,WHEN_MODIFIED) VALUES (1006,'SONY',6666.0,0,{d '2019-06-15'});
INSERT INTO product_pricing (PRODUCT_PRICING_KEY,PRODUCT_CODE,PRICE,VERSION,WHEN_MODIFIED) VALUES (1007,'LGRF',7777.0,0,{d '2019-06-15'});
INSERT INTO product_pricing (PRODUCT_PRICING_KEY,PRODUCT_CODE,PRICE,VERSION,WHEN_MODIFIED) VALUES (1008,'GDRF',8888.0,0,{d '2019-06-15'});
INSERT INTO product_pricing (PRODUCT_PRICING_KEY,PRODUCT_CODE,PRICE,VERSION,WHEN_MODIFIED) VALUES (1009,'HFJA',450.5,0,{d '2019-06-15'});
INSERT INTO product_pricing (PRODUCT_PRICING_KEY,PRODUCT_CODE,PRICE,VERSION,WHEN_MODIFIED) VALUES (1010,'MSIA',500.75,0,{d '2019-06-15'});

commit;